<template>
	<div class="column q-pa-md q-gutter-md">
		<div class="row items-center q-gutter-md">
			<div>
				<h5 class="q-ma-none">{{ module.Module_Name.replace(/_/g, ' ') }}</h5>
			</div>
			<div>
				<q-btn color="green" label="Add" @click="form.open = true" />
			</div>
		</div>
		<b-table class="full-width" :module="module" table-name="Party_Management"></b-table>
		<b-form-dialog ref="formDialog" v-model="form.open" full-width>
			<module-form ref="form" @mounted="$refs.formDialog.formLoaded($refs.form.$el)"></module-form>
		</b-form-dialog>
	</div>
</template>
	
	<script>
export default {
	props: ['module'],
	components: {
		bTable: Vue.defineAsyncComponent(() => import(`components/widgets/b-table.vue`)),
		moduleForm: Vue.defineAsyncComponent(() => import(`components/modules/Party_Management/form.vue`)),
		bFormDialog: Vue.defineAsyncComponent(() => import(`components/widgets/b-form-dialog.vue`))
	},
	data() {
		return {
			form: {
				open: false,
				data: {}
			}
		}
	},

}
</script>
	